/* -------------------------------- Product Description Page ------------------------------------------ */
.product {
    display: flex;
    height: 45.5rem;
}

.product .image {
    width: 55vw;
    margin: 4rem 2rem;
}

.product .image img {
    width: 45vw;
}

.product-description {
    margin: 64px 32px;
}

.product-description h1 {
    word-wrap: break-word;
    font-weight: 500;
    font-size: 24px;
}

.product .price {
    color: gray;
    margin-bottom: 5vh;
}

.product .size {
    display: flex;
    justify-content: space-between;
    border-top: 1px solid gray;
    border-bottom: 1px solid gray;
    padding-top: 5vh;
    padding-bottom: 5vh;
    font-size: 1rem;
    color: gray;
}

.product .size select {
    width: 32vw;
    background: white;
    border: none;
    height: 5vh;
    align-items: center;
    /* margin-left: 2vw; */
    font-size: 1rem;
    color: gray;

}

.product .qty {
    display: flex;
    justify-content: space-between;
    /* border-top: 1px solid gray; */
    border-bottom: 1px solid gray;
    padding-top: 5vh;
    padding-bottom: 5vh;
    font-size: 1rem;
    color: gray;
}

.product .qty select {
    width: 32vw;
    background: white;
    border: none;
    height: 5vh;
    margin-left: 2vw;
    font-size: 1rem;
    color: gray;
}

.description p {
    color: gray;
}

.description h2 {
    font-size: 13px;
    margin: 16px 0;
}

.description {
    margin-bottom: 2rem;
}

.product .button {
    width: 30%;
}


@media screen and (max-width: 768px) {
    .product {
        display: block;
        margin-left: 6vw;
        margin-bottom: 20vh;
    }

    .product .image {
        width: 81vw;
        height: 81vh;
    }

    .product .image img {
        height: 80vh;
        width: 80vw;
        padding-top: 0;
        object-fit: contain;
    }

    .product .size select {
        width: 65vw;
        color: gray;
    }

    .product .qty select {
        width: 65vw;
        color: gray;
    }


    .description {
        margin-bottom: 10rem; 
    }

    #responsive-button {
        position: fixed;
        font-family: Arial, Helvetica, sans-serif;
        background-color: #172c50;
        border-color: white;
        color: white;
        width: 100vw;
        /* height: 10vh; */
        text-align: center;
        font-size: 1rem;
        padding: 4vw;
        margin: 0;
        border: 0px solid white;
        bottom: 0;
        left: 0;
    }


}